co.aikar.commands

## Class ConditionContext<I extends CommandIssuer>

- java.lang.Object
- - co.aikar.commands.ConditionContext<I>

    public class ConditionContext<I extends CommandIssuer>
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getConfig()`
`Integer` `getConfigValue(String flag, Integer def)`
`String` `getConfigValue(String flag, String def)`
`I` `getIssuer()`
`boolean` `hasConfig(String flag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getIssuer

    public I getIssuer()

#### getConfig

    public String getConfig()

#### hasConfig

    public boolean hasConfig(String flag)

#### getConfigValue

    public String getConfigValue(String flag,
                                 String def)

#### getConfigValue

    public Integer getConfigValue(String flag,
                                  Integer def)